% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/easystats_to_tidy_names.R
\name{easystats_to_tidy_names}
\alias{easystats_to_tidy_names}
\title{Convert \code{easystats} package outputs to \code{tidymodels} conventions.}
\usage{
easystats_to_tidy_names(x)
}
\arguments{
\item{x}{A statistical model object}
}
\description{
Both \code{broom} package from \code{tidymodels} universe and \code{parameters}
package from \code{easystats} universe can provide model summaries for a large
number of model objects. This is a convenience function that converts
naming conventions adopted in \code{easystats} to the ones adopted in the
\code{broom} package.
}
\examples{
# example model object
mod <- stats::lm(formula = wt ~ am * cyl, data = mtcars)

# `tidy`-fied output
easystats_to_tidy_names(parameters::model_parameters(mod))
}
